## org.eclipse.datatools.sqltools.result
Class Parameter

    java.lang.Object
      org.eclipse.datatools.sqltools.result.Parameter

All Implemented Interfaces:
  java.io.Serializable

public class Parameter
extends java.lang.Object
implements java.io.Serializable

The `Parameter` represents an in/out parameter for routine objects.

In `ResultsViewAPI` there is a method `showParameters(OperationCommand cmd, List params)`, which is used to display in/out parameters of rountine objects, the item in the `params` should be instance of `Parameter`.

Author:
  Dafan Yang
See Also:
  `ResultsViewAPI`, Serialized Form

Field Summary
`static java.lang.String` `IN_OUT`
`static java.lang.String` `INPUT`
`static java.lang.String` `OUTPUT`

Constructor Summary
`Parameter(java.lang.String paramName, java.lang.String paramType, java.lang.String paramValue, java.lang.String paramDataType)` Constructs a parameter.
`Parameter(java.lang.String paramName, java.lang.String paramType, java.lang.String paramValue, java.lang.String paramDataType, java.lang.String paramOutValue)` Constructor

Method Summary
`java.lang.String` `getParamDataType()` Returns the parameter's data type
`java.lang.String` `getParamName()` Returns the parameter's name
`java.lang.String` `getParamOutValue()` Returns the OUT value of this parameter
`java.lang.String` `getParamType()` Returns the parameter's type
`java.lang.String` `getParamValue()` Returns the parameter's value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INPUT

    public static final java.lang.String INPUT

See Also:
  Constant Field Values

### OUTPUT

    public static final java.lang.String OUTPUT

See Also:
  Constant Field Values

### IN_OUT

    public static final java.lang.String IN_OUT

See Also:
  Constant Field Values

Constructor Detail

### Parameter

    public Parameter(java.lang.String paramName,
                     java.lang.String paramType,
                     java.lang.String paramValue,
                     java.lang.String paramDataType)

  Constructs a parameter. A simple validation will be performed during the construction

Parameters:
  `paramName` - name of parameter, can not be null or empty
  `paramType` - type of parameter, should be one of the three
  `paramValue` - value of this parameter
  `paramDataType` - data type of this parameter
See Also:
  `INPUT`, `OUTPUT`, `IN_OUT`

### Parameter

    public Parameter(java.lang.String paramName,
                     java.lang.String paramType,
                     java.lang.String paramValue,
                     java.lang.String paramDataType,
                     java.lang.String paramOutValue)

  Constructor

Parameters:
  `paramOutValue` - out value of this parameter

Method Detail

### getParamDataType

    public java.lang.String getParamDataType()

  Returns the parameter's data type

  Returns:
    the parameter's data type

### getParamName

    public java.lang.String getParamName()

  Returns the parameter's name

  Returns:
    the parameter's name

### getParamType

    public java.lang.String getParamType()

  Returns the parameter's type

  Returns:
    the parameter's type
  See Also:
    `INPUT`, `OUTPUT`, `IN_OUT`

### getParamValue

    public java.lang.String getParamValue()

  Returns the parameter's value

  Returns:
    the parameter's value

### getParamOutValue

    public java.lang.String getParamOutValue()

  Returns the OUT value of this parameter

  Returns:
    the OUT value of this parameter

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.